#include "secret.h"
#include "open.h"
#include "buffer.h"
#include "close.h"

int secret_read(const char* file, char *buf) {
  buffer b;
  char bspace[SECRET_MAX];
  int len;
  int fd;

  fd = open_read(file);
  if(fd < 0)
    return -1;

  buffer_init(&b, buffer_unixread, fd, bspace, sizeof(bspace));
  len = buffer_get(&b, buf, SECRET_MAX);
  close(fd);
  return len;
}
