/* Public domain. */

#ifndef STR_H
#define STR_H

extern unsigned int str_copy(char *,const char *);
extern int str_diff(const char *,const char *);
extern int str_diffn(const char *,const char *,unsigned int);
extern unsigned int str_len(const char *);
extern unsigned int str_chr(const char *,int);
extern unsigned int str_rchr(const char *,int);
extern int str_start(const char *,const char *);
extern int str_contains(const char *, int);
extern int str_copyn(char *, int, const char*, int);

#define str_equal(s,t) (!str_diff((s),(t)))
#define str_equaln(s,t,n) (!str_diffn((s),(t),(n)))

#endif
